Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gnome-sharp
Version:	2.24.1
Release:	1
Summary:	GTK+ and GNOME bindings for Mono
Group:		System/Libraries
License:	GNU/LGPL
URL:		ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.16/
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.16/gnome-sharp-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: gtk-sharp-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: mono-core-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. gnome-sharp
extends gtk-sharp2 and adds bindings for gconf, libgnome, gnome-vfs,
libart, gtkhtml, librsvg, and vte.

%package	devel
Summary:	files needed for developing with gnome-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
This package provides the necessary development libraries and headers
for writing gnome-sharp2 applications.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -n %{name}-%{version}

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%_bindir/gconfsharp2-schemagen
%_libdir/gtk-sharp-2.0/gconfsharp-schemagen.exe
%_libdir/*.so
%_libdir/mono/gac
%_libdir/mono/gtk-sharp-2.0/*.dll
%_datadir/gapi-2.0

%files devel
%defattr(-,root,root,-)
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%changelog
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.24.1-1
- Version update
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- added libgtkhtml3 patch
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild against mono 1.2.5.2
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Initial release
